org.licas.ws.wsdl.model

## Class WsdlInterface

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlInterface

- Direct Known Subclasses:
    WsdlBinding, WsdlPort

      public class WsdlInterface
      extends java.lang.Object

  This class describes a particular web services interface, by storing related operation names.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WsdlFault` | `fault` A fault process description
    `protected java.lang.String` | `name` The interface name
    `protected java.util.ArrayList` | `operations` A list of related operation names.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlInterface(java.lang.String thisName)` Create a new instance of WsdlInteface.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addOperation(java.lang.String operation)` Add the specified operation name to the list.
    `boolean` | `containsOperation(java.lang.String operation)` Return true if this interface contains the operation.
    `java.lang.String` | `getDocumentation()` Get the service documentation.
    `WsdlFault` | `getFault()` Get the interface process fault.
    `java.lang.String` | `getName()` Get the interface name.
    `java.util.ArrayList` | `getOperations()` Get the list of operation names.
    `void` | `setDocumentation(java.lang.String theDocumentation)` Set the description of the service.
    `void` | `setFault(WsdlFault thisFault)` Set the interface fault process.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

      The interface name

    - #### operations

          protected java.util.ArrayList operations

      A list of related operation names. Of type String.

    - #### fault

          protected WsdlFault fault

      A fault process description

  - ### Constructor Detail

    - #### WsdlInterface

          public WsdlInterface(java.lang.String thisName)

      Create a new instance of WsdlInteface.
      Parameters:
        `thisName` - the interface name.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the interface name.
      Returns:
        the value of name.

    - #### setDocumentation

          public void setDocumentation(java.lang.String theDocumentation)

      Set the description of the service.
      Parameters:
        `theDocumentation` - the service documentation.

    - #### getDocumentation

          public java.lang.String getDocumentation()

      Get the service documentation.
      Returns:
        the value of documentation.

    - #### containsOperation

          public boolean containsOperation(java.lang.String operation)

      Return true if this interface contains the operation. Note that the operation name might need to be converted to be compatable with the stored values.
      Parameters:
        `operation` - the operation name.
      Returns:
        true if this interface contains the operation.

    - #### addOperation

          public boolean addOperation(java.lang.String operation)

      Add the specified operation name to the list.
      Parameters:
        `operation` - the operation name.
      Returns:
        true if added of false if it already exists.

    - #### getOperations

          public java.util.ArrayList getOperations()

      Get the list of operation names.
      Returns:
        the value of operations.

    - #### setFault

          public void setFault(WsdlFault thisFault)

      Set the interface fault process.
      Parameters:
        `thisFault` - the fault.

    - #### getFault

          public WsdlFault getFault()

      Get the interface process fault.
      Returns:
        the value of fault.